## libqt4pas 2.2.0-2

=== Makefile ===
#############################################################################
# Makefile for building: libQt4Pas.so.6.2.2
# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Mar 15 01:05:40 2011
# Project:  Qt4Pas.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile Qt4Pas.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DMAEMO5 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_WEBKIT_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -w -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -w -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtWebKit -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -Itmp
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -shared -Wl,-soname,libQt4Pas.so.6
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -lQtWebKit -lQtGui -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = tmp/

####### Files

SOURCES       = src/qobject_hook_c.cpp \
		src/pascalbind.cpp \
		src/flatfuncs.cpp \
		src/qobject_c.cpp \
		src/qcoreevent_c.cpp \
		src/qeventloop_c.cpp \
		src/qcoreapplication_c.cpp \
		src/qtranslator_c.cpp \
		src/qtimer_c.cpp \
		src/qvariant_c.cpp \
		src/qmetaobject_c.cpp \
		src/qabstractitemmodel_c.cpp \
		src/qabstracteventdispatcher_c.cpp \
		src/qmimedata_c.cpp \
		src/qsocketnotifier_c.cpp \
		src/qthread_c.cpp \
		src/qlclthread_c.cpp \
		src/qchar_c.cpp \
		src/qsize_c.cpp \
		src/qstring_c.cpp \
		src/qstringlist_c.cpp \
		src/qrect_c.cpp \
		src/qdatetime_c.cpp \
		src/qbytearray_c.cpp \
		src/qlocale_c.cpp \
		src/qiodevice_c.cpp \
		src/qprocess_c.cpp \
		src/qfile_c.cpp \
		src/qfileinfo_c.cpp \
		src/qdir_c.cpp \
		src/qurl_c.cpp \
		src/qfilesystemwatcher_c.cpp \
		src/qapplication_c.cpp \
		src/qwhatsthis_c.cpp \
		src/qpalette_c.cpp \
		src/qkeysequence_c.cpp \
		src/qwidget_c.cpp \
		src/qlayoutitem_c.cpp \
		src/qlayout_c.cpp \
		src/qboxlayout_c.cpp \
		src/qstackedlayout_c.cpp \
		src/qaction_c.cpp \
		src/qactiongroup_c.cpp \
		src/qevent_c.cpp \
		src/qlclmessageevent_c.cpp \
		src/qcursor_c.cpp \
		src/qgridlayout_c.cpp \
		src/qclipboard_c.cpp \
		src/qdesktopwidget_c.cpp \
		src/qtooltip_c.cpp \
		src/qx11info_x11_c.cpp \
		src/qdrag_c.cpp \
		src/qcolor_c.cpp \
		src/qmatrix_c.cpp \
		src/qbrush_c.cpp \
		src/qpen_c.cpp \
		src/qpolygon_c.cpp \
		src/qpainter_c.cpp \
		src/qpaintengine_c.cpp \
		src/qpaintdevice_c.cpp \
		src/qregion_c.cpp \
		src/qprinter_c.cpp \
		src/qpainterpath_c.cpp \
		src/qtransform_c.cpp \
		src/qprinterinfo_c.cpp \
		src/qfont_c.cpp \
		src/qfontdatabase_c.cpp \
		src/qtextcursor_c.cpp \
		src/qtextoption_c.cpp \
		src/qfontmetrics_c.cpp \
		src/qfontinfo_c.cpp \
		src/qtextdocument_c.cpp \
		src/qabstracttextdocumentlayout_c.cpp \
		src/qtextlayout_c.cpp \
		src/qicon_c.cpp \
		src/qpixmap_c.cpp \
		src/qimage_c.cpp \
		src/qbitmap_c.cpp \
		src/qpicture_c.cpp \
		src/qimageiohandler_c.cpp \
		src/qimagereader_c.cpp \
		src/qimagewriter_c.cpp \
		src/qvalidator_c.cpp \
		src/qframe_c.cpp \
		src/qstackedwidget_c.cpp \
		src/qabstractscrollarea_c.cpp \
		src/qlclabstractscrollarea_c.cpp \
		src/qabstractslider_c.cpp \
		src/qscrollbar_c.cpp \
		src/qmenu_c.cpp \
		src/qmenubar_c.cpp \
		src/qbuttongroup_c.cpp \
		src/qabstractbutton_c.cpp \
		src/qpushbutton_c.cpp \
		src/qradiobutton_c.cpp \
		src/qlineedit_c.cpp \
		src/qplaintextedit_c.cpp \
		src/qtextedit_c.cpp \
		src/qtabwidget_c.cpp \
		src/qlcltabwidget_c.cpp \
		src/qmainwindow_c.cpp \
		src/qtoolbar_c.cpp \
		src/qsizegrip_c.cpp \
		src/qlcdnumber_c.cpp \
		src/qabstractspinbox_c.cpp \
		src/qlclabstractspinbox_c.cpp \
		src/qspinbox_c.cpp \
		src/qsplitter_c.cpp \
		src/qcombobox_c.cpp \
		src/qcheckbox_c.cpp \
		src/qslider_c.cpp \
		src/qtextbrowser_c.cpp \
		src/qlabel_c.cpp \
		src/qgroupbox_c.cpp \
		src/qdockwidget_c.cpp \
		src/qtabbar_c.cpp \
		src/qprogressbar_c.cpp \
		src/qstatusbar_c.cpp \
		src/qtoolbox_c.cpp \
		src/qtoolbutton_c.cpp \
		src/qscrollarea_c.cpp \
		src/qmdiarea_c.cpp \
		src/qmdisubwindow_c.cpp \
		src/qcalendarwidget_c.cpp \
		src/qrubberband_c.cpp \
		src/qprintpreviewwidget_c.cpp \
		src/qabstractitemview_c.cpp \
		src/qlistview_c.cpp \
		src/qitemselectionmodel_c.cpp \
		src/qlistwidget_c.cpp \
		src/qtreeview_c.cpp \
		src/qtreewidget_c.cpp \
		src/qheaderview_c.cpp \
		src/qstandarditemmodel_c.cpp \
		src/qabstractitemdelegate_c.cpp \
		src/qitemdelegate_c.cpp \
		src/qlclitemdelegate_c.cpp \
		src/qtableview_c.cpp \
		src/qtablewidget_c.cpp \
		src/qitemeditorfactory_c.cpp \
		src/qstyleditemdelegate_c.cpp \
		src/qdialog_c.cpp \
		src/qfontdialog_c.cpp \
		src/qmessagebox_c.cpp \
		src/qinputdialog_c.cpp \
		src/qcolordialog_c.cpp \
		src/qfiledialog_c.cpp \
		src/qprogressdialog_c.cpp \
		src/qabstractprintdialog_c.cpp \
		src/qprintdialog_c.cpp \
		src/qpagesetupdialog_c.cpp \
		src/qprintpreviewdialog_c.cpp \
		src/qsystemtrayicon_c.cpp \
		src/qstyle_c.cpp \
		src/qstyleoption_c.cpp \
		src/qstylefactory_c.cpp \
		src/qgraphicsscene_c.cpp \
		src/qgraphicsview_c.cpp \
		src/qsslcipher_c.cpp \
		src/qsslkey_c.cpp \
		src/qsslerror_c.cpp \
		src/qabstractsocket_c.cpp \
		src/qudpsocket_c.cpp \
		src/qtcpsocket_c.cpp \
		src/qtcpserver_c.cpp \
		src/qsslconfiguration_c.cpp \
		src/qsslsocket_c.cpp \
		src/qnetworkaccessmanager_c.cpp \
		src/qnetworkrequest_c.cpp \
		src/qnetworkreply_c.cpp \
		src/qnetworkcookie_c.cpp \
		src/qlclnetworkcookie_c.cpp \
		src/qnetworkproxy_c.cpp \
		src/qauthenticator_c.cpp \
		src/qwebframe_c.cpp \
		src/qwebsecurityorigin_c.cpp \
		src/qwebdatabase_c.cpp \
		src/qwebhistory_c.cpp \
		src/qwebhistoryinterface_c.cpp \
		src/qwebpage_c.cpp \
		src/qlclwebpage_c.cpp \
		src/qwebsettings_c.cpp \
		src/qwebview_c.cpp \
		src/qlclwebview_c.cpp \
		src/qmaemo5abstractpickselector_c.cpp \
		src/qmaemo5editbar_c.cpp \
		src/qmaemo5timepickselector_c.cpp \
		src/qmaemo5datepickselector_c.cpp \
		src/qmaemo5informationbox_c.cpp \
		src/qmaemo5valuebutton_c.cpp \
		src/qmaemo5listpickselector_c.cpp \
		src/qcoreapplication_hook_c.cpp \
		src/qtimer_hook_c.cpp \
		src/qabstractitemmodel_hook_c.cpp \
		src/qsocketnotifier_hook_c.cpp \
		src/qthread_hook_c.cpp \
		src/qiodevice_hook_c.cpp \
		src/qprocess_hook_c.cpp \
		src/qfilesystemwatcher_hook_c.cpp \
		src/qapplication_hook_c.cpp \
		src/qwidget_hook_c.cpp \
		src/qlayout_hook_c.cpp \
		src/qstackedlayout_hook_c.cpp \
		src/qaction_hook_c.cpp \
		src/qactiongroup_hook_c.cpp \
		src/qclipboard_hook_c.cpp \
		src/qdesktopwidget_hook_c.cpp \
		src/qdrag_hook_c.cpp \
		src/qabstracttextdocumentlayout_hook_c.cpp \
		src/qframe_hook_c.cpp \
		src/qstackedwidget_hook_c.cpp \
		src/qabstractscrollarea_hook_c.cpp \
		src/qabstractslider_hook_c.cpp \
		src/qscrollbar_hook_c.cpp \
		src/qmenu_hook_c.cpp \
		src/qmenubar_hook_c.cpp \
		src/qbuttongroup_hook_c.cpp \
		src/qabstractbutton_hook_c.cpp \
		src/qpushbutton_hook_c.cpp \
		src/qlineedit_hook_c.cpp \
		src/qplaintextedit_hook_c.cpp \
		src/qtextedit_hook_c.cpp \
		src/qtabwidget_hook_c.cpp \
		src/qmainwindow_hook_c.cpp \
		src/qtoolbar_hook_c.cpp \
		src/qlcdnumber_hook_c.cpp \
		src/qabstractspinbox_hook_c.cpp \
		src/qspinbox_hook_c.cpp \
		src/qsplitter_hook_c.cpp \
		src/qcombobox_hook_c.cpp \
		src/qcheckbox_hook_c.cpp \
		src/qslider_hook_c.cpp \
		src/qtextbrowser_hook_c.cpp \
		src/qlabel_hook_c.cpp \
		src/qgroupbox_hook_c.cpp \
		src/qdockwidget_hook_c.cpp \
		src/qtabbar_hook_c.cpp \
		src/qprogressbar_hook_c.cpp \
		src/qstatusbar_hook_c.cpp \
		src/qtoolbox_hook_c.cpp \
		src/qtoolbutton_hook_c.cpp \
		src/qmdiarea_hook_c.cpp \
		src/qmdisubwindow_hook_c.cpp \
		src/qcalendarwidget_hook_c.cpp \
		src/qprintpreviewwidget_hook_c.cpp \
		src/qabstractitemview_hook_c.cpp \
		src/qlistview_hook_c.cpp \
		src/qitemselectionmodel_hook_c.cpp \
		src/qlistwidget_hook_c.cpp \
		src/qtreeview_hook_c.cpp \
		src/qtreewidget_hook_c.cpp \
		src/qheaderview_hook_c.cpp \
		src/qstandarditemmodel_hook_c.cpp \
		src/qabstractitemdelegate_hook_c.cpp \
		src/qtableview_hook_c.cpp \
		src/qtablewidget_hook_c.cpp \
		src/qdialog_hook_c.cpp \
		src/qfiledialog_hook_c.cpp \
		src/qprogressdialog_hook_c.cpp \
		src/qabstractprintdialog_hook_c.cpp \
		src/qprintdialog_hook_c.cpp \
		src/qprintpreviewdialog_hook_c.cpp \
		src/qsystemtrayicon_hook_c.cpp \
		src/qgraphicsscene_hook_c.cpp \
		src/qabstractsocket_hook_c.cpp \
		src/qudpsocket_hook_c.cpp \
		src/qtcpsocket_hook_c.cpp \
		src/qtcpserver_hook_c.cpp \
		src/qnetworkaccessmanager_hook_c.cpp \
		src/qnetworkreply_hook_c.cpp \
		src/qwebframe_hook_c.cpp \
		src/qwebsecurityorigin_hook_c.cpp \
		src/qwebdatabase_hook_c.cpp \
		src/qwebhistory_hook_c.cpp \
		src/qwebhistoryinterface_hook_c.cpp \
		src/qwebpage_hook_c.cpp \
		src/qwebsettings_hook_c.cpp \
		src/qwebview_hook_c.cpp \
		src/qmaemo5abstractpickselector_hook_c.cpp \
		src/qmaemo5informationbox_hook_c.cpp tmp/moc_qobject_hook.cpp \
		tmp/moc_qcoreapplication_hook.cpp \
		tmp/moc_qtimer_hook.cpp \
		tmp/moc_qabstractitemmodel_hook.cpp \
		tmp/moc_qsocketnotifier_hook.cpp \
		tmp/moc_qthread_hook.cpp \
		tmp/moc_qiodevice_hook.cpp \
		tmp/moc_qprocess_hook.cpp \
		tmp/moc_qfilesystemwatcher_hook.cpp \
		tmp/moc_qapplication_hook.cpp \
		tmp/moc_qwidget_hook.cpp \
		tmp/moc_qlayout_hook.cpp \
		tmp/moc_qstackedlayout_hook.cpp \
		tmp/moc_qaction_hook.cpp \
		tmp/moc_qactiongroup_hook.cpp \
		tmp/moc_qclipboard_hook.cpp \
		tmp/moc_qdesktopwidget_hook.cpp \
		tmp/moc_qdrag_hook.cpp \
		tmp/moc_qabstracttextdocumentlayout_hook.cpp \
		tmp/moc_qframe_hook.cpp \
		tmp/moc_qstackedwidget_hook.cpp \
		tmp/moc_qabstractscrollarea_hook.cpp \
		tmp/moc_qabstractslider_hook.cpp \
		tmp/moc_qscrollbar_hook.cpp \
		tmp/moc_qmenu_hook.cpp \
		tmp/moc_qmenubar_hook.cpp \
		tmp/moc_qbuttongroup_hook.cpp \
		tmp/moc_qabstractbutton_hook.cpp \
		tmp/moc_qpushbutton_hook.cpp \
		tmp/moc_qlineedit_hook.cpp \
		tmp/moc_qplaintextedit_hook.cpp \
		tmp/moc_qtextedit_hook.cpp \
		tmp/moc_qtabwidget_hook.cpp \
		tmp/moc_qmainwindow_hook.cpp \
		tmp/moc_qtoolbar_hook.cpp \
		tmp/moc_qlcdnumber_hook.cpp \
		tmp/moc_qabstractspinbox_hook.cpp \
		tmp/moc_qspinbox_hook.cpp \
		tmp/moc_qsplitter_hook.cpp \
		tmp/moc_qcombobox_hook.cpp \
		tmp/moc_qcheckbox_hook.cpp \
		tmp/moc_qslider_hook.cpp \
		tmp/moc_qtextbrowser_hook.cpp \
		tmp/moc_qlabel_hook.cpp \
		tmp/moc_qgroupbox_hook.cpp \
		tmp/moc_qdockwidget_hook.cpp \
		tmp/moc_qtabbar_hook.cpp \
		tmp/moc_qprogressbar_hook.cpp \
		tmp/moc_qstatusbar_hook.cpp \
		tmp/moc_qtoolbox_hook.cpp \
		tmp/moc_qtoolbutton_hook.cpp \
		tmp/moc_qmdiarea_hook.cpp \
		tmp/moc_qmdisubwindow_hook.cpp \
		tmp/moc_qcalendarwidget_hook.cpp \
		tmp/moc_qprintpreviewwidget_hook.cpp \
		tmp/moc_qabstractitemview_hook.cpp \
		tmp/moc_qlistview_hook.cpp \
		tmp/moc_qitemselectionmodel_hook.cpp \
		tmp/moc_qlistwidget_hook.cpp \
		tmp/moc_qtreeview_hook.cpp \
		tmp/moc_qtreewidget_hook.cpp \
		tmp/moc_qheaderview_hook.cpp \

## libqt4pas 2.1Qt4.5.3

=== debian/changelog ===
libqt4pas (2.1Qt4.5.3-4) unstable; urgency=low

  * Only add -mstackrealign on x86 and x86_64 archs
  * Updated symbols file

 -- Matthias Klumpp <matthias@nlinux.org>  Sun, 03 Apr 2011 18:21:35 +0200

libqt4pas (2.1Qt4.5.3-3) unstable; urgency=low

  * Compile with -mstackrealign
  * Upload to unstable (Closes: #618128)
  * Bump standards version
  * Build in parallel mode

 -- Matthias Klumpp <matthias@nlinux.org>  Mon, 14 Mar 2011 13:44:12 +0100

libqt4pas (2.1Qt4.5.3-2) experimental; urgency=low

  * Add libqt4-webkit-dev to build-dependencies to fix FTBFS with Qt 4.7.
  * Switch to debhelper based build system

 -- Matthias Klumpp <matthias@nlinux.org>  Mon, 28 Jun 2010 18:48:54 +0200

libqt4pas (2.1Qt4.5.3-1) unstable; urgency=low

  * Initial release (Closes: #554177, LP: #318853)

 -- Matthias Klumpp <matthias@nlinux.org>  Sat, 20 Feb 2010 22:34:36 +0100

=== debian/control ===
Source: libqt4pas
Section: libs
Priority: optional
Maintainer: Matthias Klumpp <matthias@nlinux.org>
Build-Depends: debhelper (>= 8), libqt4-dev, libqtwebkit-dev, qt4-qmake
Homepage: http://users.telenet.be/Jan.Van.hijfte/qtforfpc/fpcqt4.html
Standards-Version: 3.9.1

Package: libqt4pas5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt4 interface bindings for Pascal
 Provides interface for Pascal applications
 to the Qt4 C++ libraries.
 This binding does not cover the whole Qt4 framework, it
 just contains all classes needed to use Qt as a widgetset.

Package: libqt4pas-dev
Section: libdevel
Architecture: any
Depends: libqt4pas5 (= ${binary:Version}), ${misc:Depends}
Suggests: fpc
Description: Development files for Qt4Pas
 Provides interface for Pascal applications
 to the Qt4 C++ libraries.
 This binding does not cover the whole Qt4 framework, it
 just contains all classes needed to use Qt as a widgetset.
 .
 This package contains files needed to develop
 Qt4 based applications with Pascal.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Define install target dir
INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --parallel

override_dh_auto_install:
	mkdir -p $(INSTALLDIR)/usr/share/pascal/qt4
	install $(CURDIR)/qt4.pas $(INSTALLDIR)/usr/share/pascal/qt4/
	for type in pas p txt ; do find $(INSTALLDIR)/usr/share/ -type f -name "*$$type" -exec chmod -x '{}' \; ; done
	dh_auto_install --destdir=$(INSTALLDIR)

## libqt4pas 2.2.0-1

=== debian/changelog ===
libqt4pas (2.2.0-1) unstable; urgency=low

  * Initial release 

 -- Svetozar Belic <trx@devbin.org>  Mon, 14 Mar 2011 21:16:22 +0100

=== debian/control ===
Source: libqt4pas
Priority: extra
Maintainer: Svetozar Belic <trx@devbin.org>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2
Section: libs

Package: libqt4pas-dev
Section: libdevel
Architecture: any
Depends: libqt4pas (= ${Source-Version})
Description: libQt4Pas

Package: libqt4pas
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libQt4Pas

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	qmake
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	install -D libQt4Pas.so.6.2.2 $(CURDIR)/debian/libqt4pas/opt/lib/libQt4Pas.so.6.2.2
	install -D libQt4Pas.so.6.2.2 $(CURDIR)/debian/libqt4pas-dev/opt/lib/libQt4Pas.so
	install -D qt4.pas $(CURDIR)/debian/libqt4pas-dev/usr/include/qt4.pas


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libqt4pas 2.2.0-2

=== debian/changelog ===
libqt4pas (2.2.0-2) unstable; urgency=low

  * Initial release 

 -- Svetozar Belic <trx@devbin.org>  Mon, 14 Mar 2011 21:16:22 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
 Section: libdevel
 Architecture: any
 Depends: libqt4pas (= ${Source-Version})
-Description: libQt4Pas
+Description: libQt4Pas is a pascal binding for Qt.
 
 Package: libqt4pas
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: libQt4Pas
+Description: libQt4Pas is a pascal binding for Qt.

=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,6 @@
 	# Add here commands to install the package into debian/tmp
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 	install -D libQt4Pas.so.6.2.2 $(CURDIR)/debian/libqt4pas/opt/lib/libQt4Pas.so.6.2.2
-	install -D libQt4Pas.so.6.2.2 $(CURDIR)/debian/libqt4pas-dev/opt/lib/libQt4Pas.so
 	install -D qt4.pas $(CURDIR)/debian/libqt4pas-dev/usr/include/qt4.pas

## libqt4pas 2.4

=== debian/changelog ===
libqt4pas (2.4-2) unstable; urgency=low

  * Convert package to multiarch (LP: #831271)

 -- Matthias Klumpp <matthias@tenstral.net>  Thu, 25 Aug 2011 16:19:25 +0200

libqt4pas (2.4-1) unstable; urgency=low

  * New upstream bugfix release:
    - More range check error fixes

 -- Matthias Klumpp <matthias@tenstral.net>  Fri, 08 Jul 2011 19:39:32 +0200

libqt4pas (2.3-1) unstable; urgency=low

  * New upstream release:
    - Added QSessionManager.
    - Added platform dependent signals
       (like saveStateRequest from QApplication)
    - Qt 4.5 to Qt 4.7 support
        based on classes/methods available in Qt 4.5 but
        also compiles with Qt 4.7 and adds -mstackrealign
        when appropriate.
        removed QMenu::macMenu: Not present Qt 4.7 binaries,
        but present in Qt 4.5
    - Fix for crash of Lazarus compiled with
        Range Checking On (Lazarus Bug #16448).
  * Removed stackrealing patch: Applied upstream

 -- Matthias Klumpp <matthias@nlinux.org>  Mon, 20 Jun 2011 17:16:37 +0200

libqt4pas (2.1Qt4.5.3-5) unstable; urgency=low

  * Adjust symbols for GCC4.6 (Closes: #628338)
  * Bump standards version
  * Compile with stackrealign enabled on all ix86 architectures

 -- Matthias Klumpp <matthias@nlinux.org>  Tue, 24 May 2011 20:55:59 +0200

=== debian/control ===
Source: libqt4pas
Section: libs
Priority: optional
Maintainer: Matthias Klumpp <matthias@tenstral.net>
Build-Depends: debhelper (>= 8.9.6), libqt4-dev, libqtwebkit-dev, qt4-qmake
Homepage: http://users.telenet.be/Jan.Van.hijfte/qtforfpc/fpcqt4.html
Standards-Version: 3.9.2

Package: libqt4pas5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt4 interface bindings for Pascal
 Provides interface for Pascal applications
 to the Qt4 C++ libraries.
 This binding does not cover the whole Qt4 framework, it
 just contains all classes needed to use Qt as a widgetset.

Package: libqt4pas-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt4pas5 (= ${binary:Version}), ${misc:Depends}
Suggests: fpc
Description: Development files for Qt4Pas
 Provides interface for Pascal applications
 to the Qt4 C++ libraries.
 This binding does not cover the whole Qt4 framework, it
 just contains all classes needed to use Qt as a widgetset.
 .
 This package contains files needed to develop
 Qt4 based applications with Pascal.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Define install target dir
INSTALLDIR = $(CURDIR)/debian/tmp

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel

override_dh_auto_install:
	# Install Pascal binding source & fix permissions
	mkdir -p $(INSTALLDIR)/usr/share/pascal/qt4
	install $(CURDIR)/qt4.pas $(INSTALLDIR)/usr/share/pascal/qt4/
	for type in pas p txt ; do find $(INSTALLDIR)/usr/share/ -type f -name "*$$type" -exec chmod -x '{}' \; ; done
	# Now install the lib
	dh_auto_install --destdir=$(INSTALLDIR)
	# If we don't have a multiarch-Qt, copy lib to multiarch path anyway
	$(CURDIR)/debian/fix-multiarch.sh TARGET=$(INSTALLDIR) HOST_MULTIARCH=$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=3

http://users.telenet.be/Jan.Van.hijfte/qtforfpc/splitbuild-qt4pas-V(.*)_Qt4.*.*.tar.gz

## libqt4pas 2.5

=== debian/changelog ===
libqt4pas (2.5-15) unstable; urgency=medium

  * Update symbols file (Closes: #804304)
    - Fixes build on ppc64 and arm64

 -- Matthias Klumpp <mak@debian.org>  Wed, 10 Feb 2016 19:56:58 +0100

libqt4pas (2.5-14) unstable; urgency=medium

  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Sat, 08 Aug 2015 16:45:56 +0200

libqt4pas (2.5-13) unstable; urgency=medium

  * Bump standards version
  * Build with GCC 5 (Closes: #777970)

 -- Matthias Klumpp <mak@debian.org>  Thu, 06 Aug 2015 12:34:54 +0200

libqt4pas (2.5-12) unstable; urgency=medium

  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Tue, 12 Aug 2014 18:02:30 +0200

libqt4pas (2.5-11) unstable; urgency=medium

  * Update symbols file for ppc64 (Closes: #743761)
  * Update symbols file for mips64(el) (Closes: #729766)
  * Build-depend on fpc: According to upstream, libqt4pas
    can and should not be used as generic C Qt wrapper.
    (It therefore makes sense to only have it available on
    architectures where a Pascal compiler is present)
  * Bump standards version: No change needed

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Jul 2014 16:48:36 +0200

libqt4pas (2.5-10) unstable; urgency=low

  * Use pkgkde_symbolshelper dh addon
  * Updated symbols file

 -- Matthias Klumpp <mak@debian.org>  Mon, 24 Jun 2013 22:16:12 +0200

libqt4pas (2.5-9) unstable; urgency=low

  * Fix Git browser URL
  * Adjust symbols file on amd64 (Closes: #713348)

 -- Matthias Klumpp <mak@debian.org>  Sun, 23 Jun 2013 14:24:36 +0200

libqt4pas (2.5-8) unstable; urgency=low

  * Use Git to maintain the package
  * Fix debian/rules for qmake changes
  * Fix FTBFS on powerpcspe (Closes: #693687)
  * Fix FTBFS with GCC-4.8 (Closes: #701309)

 -- Matthias Klumpp <mak@debian.org>  Thu, 13 Jun 2013 16:06:20 +0200

libqt4pas (2.5-7) unstable; urgency=low

  * Update symbols file again, looks like pkgkde-symbolshelper
    did not work properly the first time. (Closes: #680440)

 -- Matthias Klumpp <matthias@tenstral.net>  Mon, 09 Jul 2012 10:07:35 +0200

libqt4pas (2.5-6) unstable; urgency=low

  * Fix FTBFS on hurd-i386

 -- Matthias Klumpp <matthias@tenstral.net>  Tue, 26 Jun 2012 20:48:12 +0200

libqt4pas (2.5-5) unstable; urgency=low

  * Updated symbols file for kfreebsd-amd64

 -- Matthias Klumpp <matthias@tenstral.net>  Tue, 05 Jun 2012 22:25:58 +0200

libqt4pas (2.5-4) unstable; urgency=low

  * Updated symbols-file for all architectures
  * Adjusted debian/watch file to new layout

 -- Matthias Klumpp <matthias@tenstral.net>  Fri, 25 May 2012 16:17:21 +0200

libqt4pas (2.5-3) unstable; urgency=low

  * Fix issues with the symbols-file on some archs (again)

 -- Matthias Klumpp <matthias@tenstral.net>  Wed, 23 May 2012 14:58:19 +0200

libqt4pas (2.5-2) unstable; urgency=low

  * Update symbols control file (Closes: #667254)

 -- Matthias Klumpp <matthias@tenstral.net>  Tue, 06 Mar 2012 22:52:27 +0100

libqt4pas (2.5-1) unstable; urgency=low

  * New upstream release:
    - Fixed Stack Alignment problems when Qt uses SSE.
    - Qt 4.5 to Qt 4.8 support
    - based on classes/methods available in Qt 4.5 but also
      compiles with Qt 4.8. and adds stack alignment
      compilation options when appropriate (Qt Version and Platform).
  * Allow DM upload
  * Fix compilation process (Closes: #652215)

 -- Matthias Klumpp <matthias@tenstral.net>  Fri, 24 Feb 2012 10:10:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,25 @@
 Source: libqt4pas
 Section: libs
 Priority: optional
-Maintainer: Matthias Klumpp <matthias@tenstral.net>
-Build-Depends: debhelper (>= 8.9.6), libqt4-dev, libqtwebkit-dev, qt4-qmake
+Maintainer: Matthias Klumpp <mak@debian.org>
+Vcs-Git: git://anonscm.debian.org/collab-maint/libqt4pas.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libqt4pas.git
+Build-Depends: debhelper (>= 9),
+               fpc,
+               g++ (>= 4:5.2),
+               libqt4-dev,
+               libqtwebkit-dev,
+               pkg-kde-tools,
+               qt4-qmake
 Homepage: http://users.telenet.be/Jan.Van.hijfte/qtforfpc/fpcqt4.html
-Standards-Version: 3.9.2
+Standards-Version: 3.9.6
 
 Package: libqt4pas5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Qt4 interface bindings for Pascal
  Provides interface for Pascal applications
  to the Qt4 C++ libraries.
@@ -21,7 +30,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libqt4pas5 (= ${binary:Version}), ${misc:Depends}
+Depends: libqt4pas5 (= ${binary:Version}),
+         ${misc:Depends}
 Suggests: fpc
 Description: Development files for Qt4Pas
  Provides interface for Pascal applications

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,8 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
+
+#export DH_VERBOSE=1
+export DEB_BUILD_HARDENING=1
 
 # Define install target dir
 INSTALLDIR = $(CURDIR)/debian/tmp
@@ -7,7 +10,10 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --with pkgkde_symbolshelper
+
+override_dh_auto_configure:
+	qmake-qt4
 
 override_dh_auto_install:
 	# Install Pascal binding source & fix permissions
@@ -18,3 +24,6 @@
 	dh_auto_install --destdir=$(INSTALLDIR)
 	# If we don't have a multiarch-Qt, copy lib to multiarch path anyway
 	$(CURDIR)/debian/fix-multiarch.sh TARGET=$(INSTALLDIR) HOST_MULTIARCH=$(DEB_HOST_MULTIARCH)
+
+override_dh_install:
+	dh_install --list-missing

=== debian/watch ===
version=3
http://users.telenet.be/Jan.Van.hijfte/qtforfpc/fpcqt4.html .*/splitbuild-qt4pas-V(\d.*?)(?:_Qt(?:\d+(?:\.\d+)*))?\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
